org.eclipse.emf.cdo.spi.server

## Class AuthenticationUtil.AuthenticatingOperation<V>

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.AuthenticationUtil.AuthenticatingOperation<V>

- All Implemented Interfaces:
    Callable<V>
  Enclosing class:
    AuthenticationUtil

      public abstract static class AuthenticationUtil.AuthenticatingOperation<V>
      extends Object
      implements Callable<V>

  Encapsulation of an administrative operation requiring (potentially) client authentication to authorize the operation.
  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticatingOperation(IAuthenticationProtocol authenticationProtocol)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `call()`
    `protected abstract V` | `doCall()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticatingOperation

          public AuthenticatingOperation(IAuthenticationProtocol authenticationProtocol)

  - ### Method Detail

    - #### call

          public final V call()
                       throws Exception

      Specified by:
        `call` in interface `Callable<V>`
      Throws:
        `Exception`

    - #### doCall

          protected abstract V doCall()
                               throws Exception

      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html